Subject: bug#22873: #22873 (multiple fake cursors); and, #17684 (crosshairs / fill-column).

From: Drew Adams <[email-masked]>
Date: Thu, 1 Oct 2020 10:00:53 -0700 (PDT)

> > Drew Adams contacted me several months ago and requested that I change
> > `crosshairs.el` to anything else since he has a crosshairs library on
> > wiki, and he didn't want any potential confusion.  There is nothing
> > better I could think of as a name for the 17684 Lisp library and since
> > crosshairs goes against the wishes of Drew, I just went ahead and
> > changed the name to +-mode.el, because the plus sign looks like a
> > crosshairs, and I use the plus sign as the mode-line minor-mode
> > lighter.
> 
> Well, +-mode is not acceptable as an Emacs library name, unfortunately.
> The concept is usually "cross hairs", so cross-hairs.el would be fine.

I object to cross-hairs.el, as well.  Just as confusing
as using the same name, crosshairs.el.  (Sometimes less
confusing, sometimes more confusing - it introduces
another way to confuse the two).

And "the concept is usually 'cross hairs'" is wrong.
What concept?  Application of the term "cross hairs" to
this context is something I did, but the indication of
row and column by two orthogonal lines through the cell
is not typically called "cross hairs".

X and Y axes in analytic geometry aren't called "cross
hairs".

I take it as a compliment that "cross hairs" fits this
Emacs use case, but using that term for this doesn't
spring to mind spontaneously, I think.

I have no objection to referring to the feature/behavior
as showing cross hairs.  My objection is only about the
library name.  If you want to stay with the notion of
cross hairs, yaybe use a synonym for the library name,
such as "reticule".  Or maybe use an abbreviation -
crshairs.el or some such.

The aim should be to find a name that won't cause users
to confuse the two libraries.  That's all.